version: 1.0
failThreshold: 100
profile:
  path: Inspections.xml
exclude:
  - name: PhpInconsistentReturnPointsInspection
  - name: PhpTooManyParametersInspection
  - name: PhpUnnecessaryDoubleQuotesInspection
  - name: PhpMissingParentCallCommonInspection
  - name: PhpMissingParentCallMagicInspection
  - name: PhpMissingParentConstructorInspection
  - name: PhpMissingReturnTypeInspection
  - name: PhpMissingParamTypeInspection
  - name: PhpDefineCanBeReplacedWithConstInspection
  - name: PhpReturnDocTypeMismatchInspection
  - name: PhpDocRedundantThrowsInspection
  - name: PhpMissingStrictTypesDeclarationInspection
  - name: PhpUnused
    paths:
      - aerospike
      - amqp
      - apache
      - apcu
      - ast
      - bcmath
      - blackfire
      - bz2
      - calendar
      - cassandra
      - com_dotnet
      - Core
      - couchbase
      - couchbase_v2
      - crypto
      - ctype
      - cubrid
      - curl
      - date
      - dba
      - decimal
      - dio
      - dom
      - ds
      - enchant
      - Ev
      - event
      - exif
      - expect
      - fann
      - FFI
      - ffmpeg
      - fileinfo
      - filter
      - fpm
      - ftp
      - gd
      - gearman
      - geoip
      - geos
      - gettext
      - gmagick
      - gmp
      - gnupg
      - grpc
      - hash
      - http
      - ibm_db2
      - iconv
      - igbinary
      - imagick
      - imap
      - inotify
      - interbase
      - intl
      - json
      - judy
      - ldap
      - leveldb
      - libevent
      - libsodium
      - libvirt-php
      - libxml
      - lua
      - LuaSandbox
      - lzf
      - mailparse
      - mapscript
      - mbstring
      - mcrypt
      - memcache
      - memcached
      - meminfo
      - meta
      - ming
      - mongo
      - mongodb
      - mosquitto-php
      - mqseries
      - msgpack
      - mssql
      - mysql
      - mysql_xdevapi
      - mysqli
      - ncurses
      - newrelic
      - oauth
      - oci8
      - odbc
      - openssl
      - parallel
      - Parle
      - pcntl
      - pcov
      - pcre
      - pdflib
      - PDO
      - pdo_ibm
      - pdo_mysql
      - pdo_pgsql
      - pdo_sqlite
      - pgsql
      - Phar
      - phpdbg
      - posix
      - pq
      - pspell
      - pthreads
      - radius
      - rar
      - rdkafka
      - readline
      - recode
      - redis
      - Reflection
      - regex
      - rpminfo
      - rrd
      - SaxonC
      - session
      - shmop
      - SimpleXML
      - snmp
      - soap
      - sockets
      - sodium
      - solr
      - SPL
      - SplType
      - SQLite
      - sqlite3
      - sqlsrv
      - ssh2
      - standard
      - stats
      - stomp
      - suhosin
      - superglobals
      - svm
      - svn
      - sybase
      - sync
      - sysvmsg
      - sysvsem
      - sysvshm
      - tidy
      - tokenizer
      - uopz
      - uuid
      - uv
      - v8js
      - vendor
      - wddx
      - win32service
      - winbinder
      - wincache
      - xcache
      - xdebug
      - xdiff
      - xhprof
      - xlswriter
      - xml
      - xmlreader
      - xmlrpc
      - xmlwriter
      - xsl
      - xxtea
      - yaf
      - yaml
      - yar
      - zend
      - Zend OPcache
      - ZendCache
      - ZendDebugger
      - ZendUtils
      - zip
      - zlib
      - zmp
      - zmq
      - zookeeper
      - zstd
